/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Generic (CALLED IN NORMALIZE.CSS)
	- Normalize
	- Box sizing
	- Media width
# Base
	- Typography
	- Elements
	- Links
# Components
	- Header
	- Main
	- Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/

/* Typography
--------------------------------------------- */

/* Elements
--------------------------------------------- */

/* Links
--------------------------------------------- */

/*--------------------------------------------------------------
# Components
--------------------------------------------------------------*/

/* Header
--------------------------------------------- */

/* Hero
--------------------------------------------- */
.site-navigation-divider {
  display: none;
}

@media (min-width: 60em) {
  .hero {
    display: block;
    margin: 5rem 0 0;
  }

  .site-navigation {
    max-width: 40%;
    margin: 0 auto;
    font-weight: 700;
  }

  .site-navigation ul {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    font-size: 1rem;
    line-height: normal;
  }

  .site-navigation li {
    position: relative;
  }

  .site-navigation-divider {
    display: block;
  }

  .site-navigation a::after {
    bottom: 0;
    left: 70%;
    width: 120%;
  }
}

/* Main
--------------------------------------------- */
.site-wrapper {
  margin-top: 6rem;
}

.credit-title {
  font-size: 4rem;
  text-align: center;
}

.credit-content {
  width: 100%;
}

.credit-content thead th {
  padding: 1rem 0;
  font-size: 1.25rem;
  border-bottom: 1px solid #282828;
}

.credit-content tbody td {
  padding: 1rem 0 1rem 1rem;
}

.credit-content tbody tr.group-end {
  border-bottom: 1px solid #282828;
}

.credit-content a:hover {
  text-decoration: underline;
}

@media (min-width: 48em) {
  .site-wrapper {
    margin: 7rem 3rem 0;
  }

  .credit-article:not(:last-child) {
    margin-bottom: 6rem;
  }

  .credit-subtitle {
    margin-bottom: 3rem;
  }

  .credit-content th:first-child {
    width: 10rem;
  }
}

@media (min-width: 60em) {
  .site-wrapper {
    margin: 3rem auto 0;
    max-width: 800px;
  }
}

/* Footer
--------------------------------------------- */
